clang 8.0.0

Public Member Functions | Public Attributes | List of all members
clang::Sema::OriginalCallArg Struct Reference

brief A function argument from which we performed template argument More...

`#include "clang/Sema/Sema.h"`

Collaboration diagram for clang::Sema::OriginalCallArg:
[legend]

## Public Member Functions
| OriginalCallArg (QualType OriginalParamType, bool DecomposedParam, unsigned ArgIdx, QualType OriginalArgType)

## Public Attributes
QualType | OriginalParamType
bool | DecomposedParam
unsigned | ArgIdx
QualType | OriginalArgType

## Detailed Description

brief A function argument from which we performed template argument

Definition at line 7014 of file Sema.h.

## Constructor & Destructor Documentation

## ◆ OriginalCallArg()

clang::Sema::OriginalCallArg::OriginalCallArg | ( | QualType | OriginalParamType,
|  | bool | DecomposedParam,
|  | unsigned | ArgIdx,
|  | QualType | OriginalArgType
| ) |  |
| inline

Definition at line 7015 of file Sema.h.

## Member Data Documentation

## ◆ ArgIdx

unsigned clang::Sema::OriginalCallArg::ArgIdx

Definition at line 7023 of file Sema.h.

## ◆ DecomposedParam

bool clang::Sema::OriginalCallArg::DecomposedParam

Definition at line 7022 of file Sema.h.

## ◆ OriginalArgType

QualType clang::Sema::OriginalCallArg::OriginalArgType

Definition at line 7024 of file Sema.h.

## ◆ OriginalParamType

QualType clang::Sema::OriginalCallArg::OriginalParamType

Definition at line 7021 of file Sema.h.

The documentation for this struct was generated from the following file:

- include/clang/Sema/Sema.h